Page MenuHomePhabricator

[MIPS]Handle floating point and aggregate return types in SysV-mips [32 bit] ABI
ClosedPublic

Authored by bhushan on Aug 10 2015, 11:20 PM.

Details

Reviewers
clayborg
Summary

This patch adds support of floating point and aggregate return types in GetReturnValueObjectImpl() for mips32

Diff Detail

Repository
rL LLVM

Event Timeline

bhushan updated this revision to Diff 31774.Aug 10 2015, 11:20 PM
bhushan retitled this revision from to [MIPS]Handle floating point and aggregate return types in SysV-mips [32 bit] ABI.
bhushan updated this object.
bhushan added a reviewer: clayborg.
bhushan set the repository for this revision to rL LLVM.
bhushan added subscribers: lldb-commits, jaydeep, slthakur and 2 others.
clayborg requested changes to this revision.Aug 11 2015, 9:48 AM
clayborg edited edge metadata.

Init the variables and this is good to go.

source/Plugins/ABI/SysV-mips/ABISysV_mips.cpp
426–429

Initialize these with default values in case the code is changed/reorganized later.

This revision now requires changes to proceed.Aug 11 2015, 9:48 AM
bhushan updated this revision to Diff 32038.Aug 13 2015, 2:15 AM
bhushan edited edge metadata.

Addresses review comments. (Initialized variables with default values).

clayborg accepted this revision.Aug 13 2015, 9:23 AM
clayborg edited edge metadata.

Looks good. Feel free to also initialized "is_signed" if you can, no need for review on that change.

This revision is now accepted and ready to land.Aug 13 2015, 9:23 AM
bhushan closed this revision.Aug 13 2015, 8:45 PM

Committed in revision 245020